<?xml version="1.0" encoding="UTF-8"?>
<beans
	xmlns="https://www.springframework.org/schema/beans"
	xmlns:xsi="https://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="https://www.springframework.org/schema/context"
	xmlns:tx="https://www.springframework.org/schema/tx"
	xmlns:jdbc="https://www.springframework.org/schema/jdbc"
	xmlns:jpa="https://www.springframework.org/schema/data/jpa"
	xsi:schemaLocation="
		https://www.springframework.org/schema/beans https://www.springframework.org/schema/beans/spring-beans.xsd
		https://www.springframework.org/schema/context https://www.springframework.org/schema/context/spring-context.xsd
		https://www.springframework.org/schema/tx https://www.springframework.org/schema/tx/spring-tx.xsd
		https://www.springframework.org/schema/jdbc https://www.springframework.org/schema/jdbc/spring-jdbc.xsd
 		https://www.springframework.org/schema/data/jpa https://www.springframework.org/schema/data/jpa/spring-jpa.xsd">

	<jpa:repositories base-package="com.example.spring.domain" transaction-manager-ref="txManager" />
	<tx:annotation-driven transaction-manager="txManager" proxy-target-class="true" />

</beans>